Package com.google.android.exoplayer2.testutil

## Class FakeMediaSource.InitialTimeline

- java.lang.Object
- - com.google.android.exoplayer2.Timeline
  - - com.google.android.exoplayer2.source.ForwardingTimeline
    - - com.google.android.exoplayer2.testutil.FakeMediaSource.InitialTimeline

- All Implemented Interfaces:
    `Bundleable`
  Enclosing class:
    FakeMediaSource

      public static class FakeMediaSource.InitialTimeline
      extends ForwardingTimeline

  A forwarding timeline to provide an initial timeline for fake multi window sources.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.android.exoplayer2.Timeline

      `Timeline.Period, Timeline.RemotableTimeline, Timeline.Window`

    - ### Nested classes/interfaces inherited from interface com.google.android.exoplayer2.Bundleable

      `Bundleable.Creator<T extends Bundleable>`

  - ### Field Summary

    - ### Fields inherited from class com.google.android.exoplayer2.source.ForwardingTimeline

      `timeline`

    - ### Fields inherited from class com.google.android.exoplayer2.Timeline

      `CREATOR, EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InitialTimeline​(Timeline timeline)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Timeline.Window` | `getWindow​(int windowIndex, Timeline.Window window, long defaultPositionProjectionUs)` | Populates a `Timeline.Window` with data for the window at the specified index.

    - ### Methods inherited from class com.google.android.exoplayer2.source.ForwardingTimeline

      `getFirstWindowIndex, getIndexOfPeriod, getLastWindowIndex, getNextWindowIndex, getPeriod, getPeriodCount, getPreviousWindowIndex, getUidOfPeriod, getWindowCount`

    - ### Methods inherited from class com.google.android.exoplayer2.Timeline

      `equals, getNextPeriodIndex, getPeriod, getPeriodByUid, getPeriodPosition, getPeriodPosition, getPeriodPositionUs, getPeriodPositionUs, getWindow, hashCode, isEmpty, isLastPeriod, toBundle, toBundleWithOneWindowOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InitialTimeline

          public InitialTimeline​(Timeline timeline)

  - ### Method Detail

    - #### getWindow

          public Timeline.Window getWindow​(int windowIndex,
                                           Timeline.Window window,
                                           long defaultPositionProjectionUs)

      Description copied from class: `Timeline`
      Populates a `Timeline.Window` with data for the window at the specified index.
      Overrides:
        `getWindow` in class `ForwardingTimeline`
      Parameters:
        `windowIndex` - The index of the window.
        `window` - The `Timeline.Window` to populate. Must not be null.
        `defaultPositionProjectionUs` - A duration into the future that the populated window's default start position should be projected.
      Returns:
        The populated `Timeline.Window`, for convenience.